summaryrefslogtreecommitdiffstats
path: root/elchos
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2014-04-02 13:22:50 +0200
committermakefu <github@syntax-fehler.de>2014-04-02 13:22:50 +0200
commitc908199996b2ad0cf87ba18eb099dc6071f1f1b1 (patch)
tree4d27c4f30fb192761606e0f989591b042803efc5 /elchos
parent398a290c1b19ef0edbee13b02bf2ad6336dd79fc (diff)
make customize_root_image less verbose, highlight root password
Diffstat (limited to 'elchos')
-rwxr-xr-xelchos/root-image/root/customize_root_image.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/elchos/root-image/root/customize_root_image.sh b/elchos/root-image/root/customize_root_image.sh
index ca6a21dd..6c5640c3 100755
--- a/elchos/root-image/root/customize_root_image.sh
+++ b/elchos/root-image/root/customize_root_image.sh
@@ -1,6 +1,6 @@
#!/bin/bash
-set -e -u -f -x
+set -e -u -f
reaktor_user=reaktor
ncdc_user=hooker
rootpw=$(dd if=/dev/urandom bs=1 count=100 2>/dev/null |md5sum | awk '{print $1}' | dd bs=1 count=9 2>/dev/null)
@@ -58,7 +58,8 @@ cp /krebs/painload/Reaktor/etc/systemd/system/Reaktor@.service \
# add bonus features for elch
cp -a /krebs/etc/Reaktor /krebs/painload
# emergency root passwd
-echo "the Root PW is $rootpw"
+
+printf "!!!!!!\nthe Root PW is '%s'\n!!!!!!\n" "$rootpw"
(printf "%s\n%s\n" "$rootpw" "$rootpw" ) | passwd
cd /krebs/painload/Reaktor/
touch auth.lst admin.lst